const { join } = require('path');
const {
  chmodSync,
} = require('fs');
const os = require('os');
const { downloadUtil } = require('cygnus-util');

const cliPath = join(__dirname, '..', 'bin');
const target = os.platform() === 'win32' ?
  'http://p.tb.cn/rmsportal_11220_umi-cli-1.0.0-beta.37-win32-x64.zip' :
  'http://p.tb.cn/rmsportal_11220_umi-cli-1.0.0-beta.37-darwin-x64.zip';

downloadUtil
  .download(target, cliPath, { progress: true })
  .then((res) => {
    if (os.platform() !== 'win32') {
      chmodSync(join(cliPath, 'cli'), '0777');
    }
  }).catch(() => {
    process.exit(1);
  });